#
# spec file for package rubygem-execjs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-execjs
Version:        2.10.0
Release:        1.5
%define mod_name execjs
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/execjs
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Run JavaScript code from Ruby
License:        MIT

%description
ExecJS lets you run JavaScript code from Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.10.0, no changelog found
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.9.1, no changelog found
* Tue Jun  1 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.8.1
  * Wait for STDOUT to be flushed before exiting the node runtime
* Fri May 20 2016 coolo@suse.com
- updated to version 2.7.0
  no changelog found
* Sat Aug 15 2015 coolo@suse.com
- updated to version 2.6.0
  no changelog found
* Sun Apr 12 2015 coolo@suse.com
- updated to version 2.5.2
* Tue Apr  7 2015 coolo@suse.com
- updated to version 2.5.0
* Fri Mar  6 2015 coolo@suse.com
- updated to version 2.4.0
* Mon Feb  9 2015 coolo@suse.com
- updated to version 2.3.0, no changelog
* Wed Oct 15 2014 coolo@suse.com
- updated to version 2.2.2, no changelog
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Oct  4 2013 coolo@suse.com
- updated to version 2.0.2 - no changelog
* Fri Aug 30 2013 coolo@suse.com
- updated to version 2.0.1 - no changelog
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.0.0 - no changelog
* Sun Jul 15 2012 coolo@suse.com
- update to 1.4.0 - no changelog
* Sun May 13 2012 coolo@suse.com
- update to 1.3.2 - adapt to multi_json api change
* Mon Apr 23 2012 coolo@suse.com
- switch requirement to nodejs, it doesn't have to build with ruby :)
* Tue Apr 17 2012 saschpe@suse.de
- Add requirement on rubygem-johnson, execjs needs at least one
  JavaScript engine
* Sun Apr  8 2012 coolo@suse.com
- update to 1.3.0, add disabled runtime
* Thu Jul 21 2011 cmessel@novell.com
- package 1.2.0
